# EvIo::createStopped

(PECL ev >= 0.2.0)

EvIo::createStopped — Create stopped EvIo watcher object

### Description

final public static EvIo::createStopped ( mixed `$fd` , int `$events` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] ) : EvIo

The same as EvIo::__construct() , but doesn't start the watcher automatically.

### Parameters

`fd`

  The same as for EvIo::__construct()

`events`

  The same as for EvIo::__construct()

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvIo object on success.

### See Also

- EvIo::__construct() - Constructs EvIo watcher object
- EvLoop::io() - Create EvIo watcher object associated with the current event loop instance